
%global meadversion 1.3.4
%global namedversion 1.3.4.redhat-3
%global meadalpha .redhat_3
%global meadrel .1
%global serial 6

%bcond_with javadoc
%bcond_without mead

%define maven_version 1.3.4.redhat-3

Name:           xmltooling
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        XMLTooling-J
License:        ASL 2.0
Group:          Development/Java

%if %with mead
Source100: xmltooling-1.3.4.redhat-3-scm-sources.zip
Source102: xmltooling-1.3.4.redhat-3.jar
Source103: xmltooling-1.3.4.redhat-3-sources.jar
Source104: xmltooling-1.3.4.redhat-3-bin.zip
Source105: xmltooling-1.3.4.redhat-3-test-javadoc.jar
Source106: xmltooling-1.3.4.redhat-3.pom
Source107: xmltooling-1.3.4.redhat-3-bin.tar.gz
Source108: xmltooling-1.3.4.redhat-3-javadoc.jar
%endif

URL:            http://www.opensaml.org/
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
%if 0
Requires:       jboss-parent >= 0:10
Requires:       slf4j-api >= 0:1.6.4
Requires:       commons-codec >= 0:1.3
Requires:       joda-time >= 0:1.6.2
Requires:       xmlsec >= 0:1.4.5
%else
Requires:       slf4j-eap6 >= 0:1.6.4
Requires:       apache-commons-codec-eap6 >= 0:1.3
Requires:       xml-security >= 0:1.4.5
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/xmltooling-%{namedversion}-%{release}-root

%description
XMLTooling-J is a low-level library that may be used to construct
libraries that allow developers to work with XML in a Java beans manner.

%if %with javadoc
%package -n xmltooling-javadoc
Summary:        Javadoc for xmltooling
Group:          Development/Documentation

Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildRequires:  unzip

%description -n xmltooling-javadoc
%{summary}.
%endif

%prep
%setup -q -n java-xmltooling -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/xmltooling-%{namedversion}.jar %{buildroot}%{_javadir}/xmltooling-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/xmltooling-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/xmltooling-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/xmltooling-%{namedversion}-sources.jar %{buildroot}%{_javadir}/xmltooling-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p %{_sourcedir}/xmltooling-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-xmltooling.pom

# depmaps
%add_to_maven_depmap org.opensaml xmltooling %{namedversion} JPP xmltooling
[ %{name} = "xmltooling" ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/xmltooling

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/xmltooling-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/xmltooling-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/xmltooling-%{namedversion} -x META-INF/\*
%{__ln_s} xmltooling-%{namedversion} %{buildroot}%{_javadocdir}/xmltooling
%endif

%clean
%{__rm} -rf %{buildroot}

%post -n xmltooling
%update_maven_depmap

%postun -n xmltooling
%update_maven_depmap

%files -n xmltooling
%defattr(0644,root,root,0755)
%doc doc/CREDITS.txt doc/LICENSE.txt doc/README doc/RELEASE-NOTES.txt
%{_javadir}/xmltooling-%{namedversion}.jar
%{_javadir}/xmltooling.jar
%exclude %{_javadir}/xmltooling-%{namedversion}-javadoc.jar
%exclude %{_javadir}/xmltooling-javadoc.jar
%{_javadir}/xmltooling-%{namedversion}-sources.jar
%{_javadir}/xmltooling-sources.jar
%{_mavenpomdir}/JPP-xmltooling.pom
%{_mavendepmapfragdir}/xmltooling

%if %with javadoc
%files -n xmltooling-javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/xmltooling-%{namedversion}
%{_javadocdir}/xmltooling
%{_javadir}/xmltooling-%{namedversion}-javadoc.jar
%{_javadir}/xmltooling-javadoc.jar
%endif

%changelog
* Tue Jun 10 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.3.4-6.redhat_3.1
- Rewrap to remove R: joda-time for RHEL 7 install

* Thu Jan 16 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.3.4-5.redhat_3.1
- Fix dependencies for BanTransitiveDependencies in EAP/AS

* Thu Jan 16 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.3.4-5.redhat_3.1
- Fix dependencies for BanTransitiveDependencies in EAP/AS

* Thu Jan 16 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.3.4-5.redhat_3.1
- Fix dependencies for BanTransitiveDependencies in EAP/AS

* Thu Jan 16 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.3.4-5.redhat_3.1
- Fix dependencies for BanTransitiveDependencies in EAP/AS

* Tue Jan 14 2014 Permaine Cheung <pcheung@redhat.com> - 1.3.4-4.redhat_2.1
- Apply patch for CVE-2013-6440

* Tue Jan 14 2014 Permaine Cheung <pcheung@redhat.com> - 1.3.4-4.redhat_2.1
- Apply patch for CVE-2013-6440

* Tue Jan 14 2014 Permaine Cheung <pcheung@redhat.com> - 1.3.4-4.redhat_2.1
- Apply patch for CVE-2013-6440

* Thu Sep 26 2013 David Walluck <dwalluck@redhat.com> - 1.3.4-3.redhat_1.1
- fix commons-codec dependency

* Thu Sep 26 2013 David Walluck <dwalluck@redhat.com> - 1.3.4-2.redhat_1.1
- remove all non-MEAD code
- make javadoc optional
- add doc
- remove Requires: jcip-annotations (provided)
- change Requires: slf4j -> slf4j-eap6

* Thu Sep 05 2013 Vladimir Dosoudil <dosoudil@redhat.com> 0:1.3.4-1.redhat_1
- Upgrade to 1.3.4

* Thu Apr 24 2013 David Walluck <dwalluck@redhat.com> 0:1.3.2-10
- convert to MEAD
- add javadoc jar to javadoc subpackage
- fix file list
- add tars and zips to RPM

* Fri Mar 08 2013 Fernando Nasser <fnasser@redhat.com> 0:1.3.2-9
- Do not require not-yet-commons-ssl, not used by the AS7

* Tue Sep 04 2012 Paul Gier <pgier@redhat.com> 0:1.3.2-8
- Update pom patch for unsigned rebuild

* Mon May 22 2012 Yong Yang <yyang@redhat.com> 0:1.3.2-7
- Update pom patch

* Mon May 14 2012 David Walluck <dwalluck@redhat.com> 0:1.3.2-6
- remove xml runtime deps from Requires and pom.xml

* Fri May 11 2012 David Walluck <dwalluck@redhat.com> 0:1.3.2-5
- need to set the local repo

* Fri May 11 2012 David Walluck <dwalluck@redhat.com> 0:1.3.2-4
- bcprov should be marked optional

* Fri May 11 2012 David Walluck <dwalluck@redhat.com> 0:1.3.2-3
- rediff vman patch
- bcprov is jdk16, not jdk15
- fix some groupIds
- requires xalan, xerces, xml-resolver
- xmlunit is not a Requires
- fix repolib file ownership
- fix maven call
- fix javadoc pkg

* Mon Nov 21 2011 Yong Yang <yyang@redhat.com> 1.3.2-2_redhat_1
- Build for Werewolf

* Fri Oct 21 2011 Yong Yang <yyang@redhat.com> 1.3.2-1
- Upgrade to 1.3.2

* Fri Oct 21 2011 Yong Yang <yyang@redhat.com> 1.3.1-5
- Do not create backup file because the file will be packed into src zip

* Fri Oct 21 2011 Yong Yang <yyang@redhat.com> 1.3.1-4
- Comment dependencySets in assembly src.xml, tar.gz only

* Fri Sep 30 2011 Yong Yang <yyang@redhat.com> 1.3.1-3
- Remove R: logback

* Fri Sep 30 2011 Yong Yang <yyang@redhat.com> 1.3.1-2
- Fix file list

* Fri Sep 30 2011 Yong Yang <yyang@redhat.com> 1.3.1-2
- Remove binary repo, BR not-yet-commons-ssl

* Thu Sep 29 2011 Yong Yang <yyang@redhat.com> 1.3.1-1
- Upgrade to 1.3.1
- Add repolib

* Sat Jan 09 2010 Will Tatam <will.tatam@red61.com> 1.2.0-2
- Auto rebuild for JPackage 6 in centos5 mock

* Fri Jun 12 2009 Ralph Apel <r.apel@r-apel.de> - 0:1.2.0-1.jpp5
- 1.2.0

* Thu Jun 04 2009 Ralph Apel <r.apel@r-apel.de> - 0:1.1.1-1.jpp5
- first release
